﻿using System;
using System.Collections.Generic;
using System.Drawing;
using Wisej.Web;

namespace WebApplication2
{
    public partial class MatrixStreams : Wisej.Web.UserControl
    {
        private List<Stream> streams = new List<Stream>();
        public MatrixStreams()
        {
            InitializeComponent();
        }

        private void MatrixStreams_Paint(object sender, PaintEventArgs e)
        {
            Draw(e.Graphics);
        }

        private void Draw(Graphics g)
        {
            g.Clear(Color.Black);
            NativeTextRenderer render = new NativeTextRenderer(g);
            foreach (var stream in streams)
            {
                stream.Render(render);
            }
        }

        private void MatrixStreams_Load(object sender, EventArgs e)
        {
            var x = 0;
            for (var i = 0; i <= this.Width / Stream.symbolSize; i++)
            {
                var stream = new Stream();
                stream.generateSymbols(x, Window1.rand.Next(-2000, 0));
                streams.Add(stream);
                x += Stream.symbolSize;
            }
        }
    }
}
